package common.tags;

import java.io.DataInput;
import java.io.DataOutput;
import java.io.IOException;

class TagInt extends Tag
{
    private int data;

    TagInt()
    {
    }

    public TagInt(int data)
    {
        this.data = data;
    }

    void write(DataOutput output) throws IOException
    {
        output.writeInt(this.data);
    }

    void read(DataInput input, int depth, SizeTracker sizeTracker) throws IOException
    {
        sizeTracker.read(12);
        this.data = input.readInt();
    }

    protected byte getId()
    {
        return (byte)3;
    }

    public String toString()
    {
        return "" + this.data;
    }

    public Tag copy()
    {
        return new TagInt(this.data);
    }

    public boolean equals(Object other)
    {
        if (super.equals(other))
        {
            TagInt nbttagint = (TagInt)other;
            return this.data == nbttagint.data;
        }
        else
        {
            return false;
        }
    }

    public int hashCode()
    {
        return super.hashCode() ^ this.data;
    }

    public int getInt()
    {
        return this.data;
    }
}
