package common.tags;

import java.io.DataInput;
import java.io.DataOutput;
import java.io.IOException;

class TagShort extends Tag
{
    private short data;

    public TagShort()
    {
    }

    public TagShort(short data)
    {
        this.data = data;
    }

    void write(DataOutput output) throws IOException
    {
        output.writeShort(this.data);
    }

    void read(DataInput input, int depth, SizeTracker sizeTracker) throws IOException
    {
        sizeTracker.read(10);
        this.data = input.readShort();
    }

    protected byte getId()
    {
        return (byte)2;
    }

    public String toString()
    {
        return "" + this.data + "s";
    }

    public Tag copy()
    {
        return new TagShort(this.data);
    }

    public boolean equals(Object other)
    {
        if (super.equals(other))
        {
            TagShort nbttagshort = (TagShort)other;
            return this.data == nbttagshort.data;
        }
        else
        {
            return false;
        }
    }

    public int hashCode()
    {
        return super.hashCode() ^ this.data;
    }

    public short getShort()
    {
        return this.data;
    }
}
